//=============================================================================
//
// Fourcc.h
//
// Part of the Adobe Premiere 4.2 Plug-in Developer's Toolkit.
//
// Copyright 1993-96, Adobe Systems Incorporated, all rights reserved worldwide.
//
//-----------------------------------------------------------------------------


#ifndef __PREMFOURCC__
#define __PREMFOURCC__

//-----------------------------------
// New Types:

#define	THMBtype	0x54484d42L
#define	LAYRtype	0x4c415952L
#define	WORKtype	0x574f524bL
#define	RECTtype	0x52656374L		// 'Rect'

//-----------------------------------
// For QUICKTIME Codecs:

// 'raw ' (68k)
#define rawtype	0x20776172L
// 'rpza'
//#define RPZAtype	0x72707a61L
#define RPZAtype	0x617a7072L

// 'MSVC'
#define MSVCtype	0x6376736dL

// 'cvid'
#define cvidtype	0x64697663L

// 'iv32'
#define iv32type	0x32337669L

// 'IV32'
#define IV32type	0x32335649L

// used for fake codec
#define FAKEtype	0x01010101L

//-----------------------------------
// for RLE hack:

#define MRLEtype	0x454c524dL
//-----------------------------------

//-----------------------------------
// plugin version types:

// transition
#define	FXvstype	0x46587673

// handler
#define	HDvstype	0x48447673

// Filter
#define	FLvstype	0x464c7673

// Exporter
#define	EXvstype	0x45587673

// Draw module
#define	DRvstype	0x44527673

// Device
#define	DVvstype	0x44567673

// Bottleneck
#define	BNvstype	0x424e7673

//-----------------------------------


// 'LFNT'	
#define	LFNTtype	0x4c464e54

#define	JPEGtype	0x4a504547L

#define	FASTtype	0x46415354L

#define	TRIMtype	0x5452494DL

#define	DevCtype	0x44657643L

#define HDLRtype	0x48444c52L

#define	SUBTtype	0x53554254L

// 'THLP'
#define	THLPtype	0x54484c50L

// 'DHLP'
#define	DHLPtype	0x44484c50L

// 'MHLP'
#define	MHLPtype	0x4d484c50L

// 'XHLP'
#define	XHLPtype	0x58484c50L

// 'WHLP'
#define	WHLPtype	0x57484c50L

// 'ExpD'
#define ExpDtype	0x45787044L

// 'ExpM'
#define ExpMtype	0x4578704dL

// 'FLAG'
#define FLAGtype	0x464c4147L

// 'MINI'
#define MINItype	0x4d494e49L

// '8BPS'
#define _8BPStype	0x28425053L

// 'FILM'
#define FILMtype	0x46494c4dL

// 'FLIC'
#define FLItype	0x464c4943L

// 'SQNC'
#define SQNCtype	0x53514e43L

// 'MOOV'
#define MOOVtype	0x4d4f4f56L

// 'BAND'
#define BANDtype	mmioFOURCC('B','A','N','D')

// 'SPEC'
#define SPECtype	mmioFOURCC('S','P','E','C')

// 'TFLT'
#define TFLTtype	mmioFOURCC('T','F','L','T')

// 'MOTN'
#define MOTNtype	mmioFOURCC('M','O','T','N')

// 'DBUG'
#define DBUGtype 0x44425547L

// 'CDEC'
#define CDECtype	0x43444543L

//	'8BFM'
#define _8BFMtype	0x2842464dL

// 'PiMI'
#define PiMItype	0x50694d49L

// 'MPRF'
#define	MPRFtype	0x4d505246L

// 'RCMP'
#define	RCMPtype	0x52434d50L

// 'VPRF'
#define	VPRFtype	0x56505246L

// 'AVIV'
#define	AVItype	0x41564956L

// 'COLR'
#define	COLRtype	0x434f4c52L

// 'MFLG'
#define	MFLGtype	0x4d464c47L

// 'DRAW'
#define	DRAWtype	0x44524157L

// 'AFlt'
#define	AFlttype	0x41466c74L

// 'VFlt'
#define	VFlttype	0x56466c74L

// 'Botl'
#define	Botltype	0x50466c74L

// 'TYPE'
#define	TYPEtype	0x54595045L

// 'PBAR'
#define	PBARtype	0x50424152L

// 'SPFX'
#define SPFXtype	0x53504658L

// 'KEYL'
#define KEYLtype	0x4b45594cL

// 'KEYS'
#define KEYStype	0x4b455953L

// 'Rand'
#define Signature 0x52616E64L

//	'PrMr'
#define Creator 	0x50724d72L

//	'Temp'
#define TempType	0x54656d70L

//	'TRAK'
#define CompClip	0x5452414bL

// 'COMP'
#define COMPtype	0x434f4d50L

//	'FX__'
#define FXClip		0x46585f5fL

//	'FXOp'
#define FXOpts		0x46586f70L

// 'VIEW'
#define VIEWtype	0x56494557L

// 'HIDE'
#define HIDEtype 	0x48494445L
#define HideType 	HIDEtype

// 'PROJ'
#define PROJtype	0x50524f4aL

// 'LIBR'
#define LIBRtype	0x4c494252L

// 'ABT_'
#define ABT_type	0x4142545fL

//	'CLIP'
#define ProjClip	0x434c4950L

// 'XREF'
#define xReftype	0x58524546L

// 'TEXT'
#define TEXTtype	0x54455854L

// 'STRN'
#define STRtype	0x5354524EL

// 'AIFC'
#define AIFCtype	0x41494643L

// 'sfil'
#define sfiltype	0x7366696cL

// 'WAVE'
#define WAVtype	0x57415645L

// 'DIBB'
#define DIBtype	0x44494242L
#define NDIBtype	0x4E444942L

// 'TGA'  targa
// 'NTGA' targa sequence
#define TGAtype	0x54474120L
#define NTGAtype	0x4E544741L

// 'PCX'
#define PCXtype	0x50435858L

// 'TIFF'
// 'NTIF' tiff sequence
#define NTIFtype	0x4E544946L
#define TIFFtype	0x54494646L

// 'PAL '
#define PALtype	0x50414c20L

// 'XRFF'
#define xRfftype	0x58524646L

// 'STAT'
#define STATtype	0x53544154L

// 'PICT'
#define PICTtype	0x50494354L

// 'PICS'
#define PICStype	0x50494353L

// 'OVRD'
#define OVRDtype	0x4f565244L

// 'PRST'
#define PRSTtype	0x50525354L

/// 'PNAM'
#define PNAMtype	0x504d414dL

// 'EDLE'
#define EDLEtype	0x45444c45L

// 'WIPS'
#define WIPStype	0x57495053L

// 'EDLG'
#define EDLGtype	0x45444c47L

// 'Func'
#define FUNCtype	0x46756e63L

// 'FOLD'
#define FOLDtype	0x464f4c44L

// 'FltD'
#define FltDtype	0x466c7444L

// 'FltS'
#define FltStype	0x466c7453L

// 'FXDF'
#define FXDFtype	0x46584446L

// 'Pnt '
#define Pnttype	0x506e7420L

// 'BATC'
#define BATCtype	0x42415443L

// 'TITL'	The Titler handler type, just used to check
// for max title windows.
#define TITLtype	0x5449544CL	

#endif

